
<div class="container-fluid container-md py-3">
  <form class="form-floating" [formGroup]="searchForm">
    <input type="text" class="form-control font-monospace" id="searchInput" placeholder="look up any music..." formControlName="search">
    <label for="searchInput" class="font-monospace text-secondary">Search</label>
  </form>


  <div *ngIf="search$ | async as results else nodata" class="row mx-0 mt-3 gap-3 row-cols-xxl-6 row-cols-xl-5 row-cols-lg-4 row-cols-md-3 row-cols-sm-1 justify-content-around" [@cardItems]="results | json">
    <div *ngFor="let result of results.data; let i = index" role="button" class="card p-0 flex-fill"
         style="max-width: 30rem" (mouseover)="mouseOverCard = i" (mouseleave)="mouseOverCard = -1"
         [@cardHover]="mouseOverCard === i ? 'hover' : 'none'" routerLink="../view/{{result.artist.id}}"
    >
      <img [src]="result.artist.picture_medium" class="card-img-top" alt="...">
      <div class="card-body pt-0 text-center">
        <div class="py-2 border-bottom">
          <strong class="font-monospace h6">{{result.artist.name}}</strong>
        </div>
        <div>
          <p class="my-1 card-text small text-secondary"><fa-icon icon="music" transform="shrink-2"></fa-icon> {{result.title}}</p>
          <p class="my-1 card-text small text-secondary"><fa-icon icon="compact-disc" transform="shrink-2"></fa-icon> {{result.album.title}}</p>
          <p class="my-1 card-text small text-secondary"><fa-icon icon="stopwatch" transform="shrink-2"></fa-icon> {{result.duration}}</p>
        </div>
      </div>
    </div>
    <div class="d-flex py-4 text-center h5 justify-content-center" *ngIf="!results.data || results.data.length === 0">
      <div>
        <p>
          No results
        </p>
        <fa-icon icon="meh-rolling-eyes" size="3x"></fa-icon>
      </div>
    </div>

  </div>
  <ng-template #nodata>
    <div *ngIf="searchForm.get('search')?.pristine" class="d-flex py-4 text-center h5 justify-content-center">
      <div>
        <p>
          Search for any music
        </p>
        <fa-icon icon="music" size="3x"></fa-icon>
      </div>
    </div>
  </ng-template>

</div>





